/**
 * Creates a validation functions that parses the Valibot schema of a field.
 *
 * @param schema A Valibot schema.
 *
 * @returns A validation function.
 */
export function valiField(schema) {
    return async (value) => {
        try {
            await schema.parse(value);
            return '';
        }
        catch (error) {
            return error.message;
        }
    };
}
