import type { FieldValues, ResponseData, FormStore, FieldPath, FieldArrayPath, Maybe } from '../types';
/**
 * Value type of the set error options.
 */
export type SetErrorOptions = Partial<{
    shouldActive: boolean;
    shouldTouched: boolean;
    shouldDirty: boolean;
    shouldFocus: boolean;
}>;
/**
 * Sets the error of the specified field or field array.
 *
 * @param form The form of the field.
 * @param name The name of the field.
 * @param error The error message.
 * @param options The error options.
 */
export declare function setError<TFieldValues extends FieldValues, TResponseData extends ResponseData>(form: FormStore<TFieldValues, TResponseData>, name: FieldPath<TFieldValues> | FieldArrayPath<TFieldValues>, error: string, { shouldActive, shouldTouched, shouldDirty, shouldFocus, }?: Maybe<SetErrorOptions>): void;
